> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/anteckningar-nalar/25.-mutation-spara-note-kopplad-till-field.md).

# 25. Mutation: Spara "Note" kopplad till "Field"

Denna mutation låter dig fästa en anteckning vid ett angivet fält.

* En Anteckning kan länkas till Fältet via dess unika identifierare `fieldUuid`.&#x20;
* Koordinaten för Anteckningen kan ställas in med `centroid` attributet, vilket kräver definierad `latitud` och `longitud` värden.&#x20;
* Typen av Anteckning kan anges med `typ` attributet med acceptabla värden `PLANERAD` eller `VERKLIG`.&#x20;
* Beskrivningen av Anteckningen kan lämnas med `comment` attributet. Om beskrivningen behöver vara flerradig, `comment` attributet innehålla en sträng med ny-radstecken `\\n` för att separera rader. Till exempel: `"Första raden. är här\\nAndra raden är här.\\nTredje raden är här."`.

Exempelförfrågningarna finns nedan:

```graphql
mutation SaveNoteAttachedToField {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    type: PLANNED,
    comment: "Testanteckningen fäst vid fältet"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitud
      longitud
    }
    skapadDatum
    updatedDate
    typ
    comment
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation SaveMultiLineNoteAttachedToField {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    type: PLANNED,
    comment: "Första raden. är här\\nAndra raden är här.\\nTredje raden är här."
  } ) {
    uuid
    fieldUuid
    centroid {
      latitud
      longitud
    }
    skapadDatum
    updatedDate
    typ
    comment
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/anteckningar-nalar/25.-mutation-spara-note-kopplad-till-field.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
